Page MenuHomePhabricator

Drop 'tmp1' index from wb_terms table in production
Closed, ResolvedPublic

Description

While checking indexes of wb_terms I realized the index schema is completely different between production and the codebase. The thing that makes the fix complicated is that we need to drop some indexes in the code base as well but the first step towards this action is to drop tmp1 index from wb_terms in production which obviously is not in the codebase, serves no use cases at the moment and supposed to be there temporary but someone probably forgot to drop it.

Event Timeline

Ladsgroup created this task.May 9 2018, 1:56 PM
Marostegui triaged this task as Normal priority.May 9 2018, 3:14 PM
Marostegui moved this task from Triage to Backlog on the DBA board.
Marostegui added a subscriber: Marostegui.

As I have to do a schema change on s8 soonish I wanted to include this one too.

But I wanted to make sure I understood this issue correctly. There is no code referencing this index so it can be dropped anytime? This index doesn't exist anywhere on code (or tables definition), right?

It is 'just' something that was added ad-hoc on production without referencing it in tables definitions or anything?

Thank you!

As far as I can tell, the index is not referenced anywhere (code search only turns up a few unrelated results), and it was never introduced into the Wikibase repository itself (git log -S tmp1 is empty).

Marostegui moved this task from Backlog to Next on the DBA board.May 16 2018, 10:27 AM
Marostegui moved this task from Next to In progress on the DBA board.

I need to deploy other schema changes on s8, so I will include this as it is a pretty straightforward one.

Mentioned in SAL (#wikimedia-operations) [2018-05-22T17:03:36Z] <marostegui> Deploy schema change on s8 codfw primary master (db2045), this will generate lag on codfw - T194270

Marostegui added a comment.EditedMay 22 2018, 5:10 PM

Deletion progress:

  • codfw

eqiad:

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1095
  • db1109
  • db1104
  • db1116
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071

Change 434624 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/434624

Change 434624 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/434624

Mentioned in SAL (#wikimedia-operations) [2018-05-23T05:43:48Z] <marostegui> Deploy schema change on db1092 - T191519 T188299 T190148 T194273 T194270

Change 434631 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434631

Change 434631 abandoned by Marostegui:
db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434631

Change 434640 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/434640

Change 434640 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/434640

Mentioned in SAL (#wikimedia-operations) [2018-05-23T08:21:11Z] <marostegui> Deploy schema change on db1099:3318 - T191519 T188299 T190148 T194270

Change 434648 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/434648

Change 434648 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/434648

Mentioned in SAL (#wikimedia-operations) [2018-05-23T09:30:36Z] <marostegui> Deploy schema change on db1101:3318 - T191519 T188299 T190148 T194270

Change 434868 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/434868

Change 434868 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/434868

Mentioned in SAL (#wikimedia-operations) [2018-05-24T06:17:40Z] <marostegui> Deploy schema change on db1087, this will generate lag on labs on s8 - T191519 T188299 T190148 T194270

Change 434872 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434872

Change 434872 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434872

Mentioned in SAL (#wikimedia-operations) [2018-05-24T06:47:02Z] <marostegui> Deploy schema change on db1104 - T191519 T188299 T190148 T194270

Change 434875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/434875

Change 434875 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/434875

Mentioned in SAL (#wikimedia-operations) [2018-05-24T07:36:27Z] <marostegui> Deploy schema change on db1109 - T191519 T188299 T190148 T194270

Mentioned in SAL (#wikimedia-operations) [2018-05-24T08:05:15Z] <marostegui> Deploy schema change on s8 primary master (db1071) - T191519 T188299 T190148 T194270

Marostegui closed this task as Resolved.May 24 2018, 8:42 AM

This index has been dropped everywhere in s8

Vvjjkkii renamed this task from Drop 'tmp1' index from wb_terms table in production to xadaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Marostegui as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Marostegui renamed this task from xadaaaaaaa to Drop 'tmp1' index from wb_terms table in production.Jul 1 2018, 6:36 PM
Marostegui closed this task as Resolved.
Marostegui lowered the priority of this task from High to Normal.
Marostegui claimed this task.
Marostegui updated the task description. (Show Details)